Bug 1821524 - dnf: incorrect install-n, localinstall, autoremove-n, remove-n, repoquery-n, list-updateinfo behavior
Summary: dnf: incorrect install-n, localinstall, autoremove-n, remove-n, repoquery-n, ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: CentOS Stream
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: amatej
QA Contact: Luca Berton
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-07 02:02 UTC by Carl George 🤠
Modified: 2020-11-04 01:53 UTC (History)
10 users (show)

Fixed In Version: dnf-4.2.23-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:53:12 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:4510 0 None None None 2020-11-04 01:53:31 UTC

Description Carl George 🤠 2020-04-07 02:02:53 UTC
Description of problem:
The behavior of multiple dnf commands doesn't match the intent.  This is described in detail in the upstream pull request to fix it.

https://github.com/rpm-software-management/dnf/pull/1611

The same contributor that submitted this to dnf also submitted a backport for CentOS Stream.

https://git.centos.org/rpms/dnf/pull-request/1

Can this backport be pulled into a future dnf build that we can export to CentOS Stream?

Version-Release number of selected component (if applicable):
dnf-4.2.17-3.el8.noarch

Comment 1 amatej 2020-05-22 13:24:31 UTC
I have created a PR with some tests: https://github.com/rpm-software-management/ci-dnf-stack/pull/838

Comment 10 errata-xmlrpc 2020-11-04 01:53:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (yum bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:4510


Note You need to log in before you can comment on or make changes to this bug.